Component({
  properties: {
    params: {
      type: null
    },
    data: {
      type: null
    },
    page_id: {
      type: null
    }
  },
  data: {
    data_2: []
  }, // 私有数据，可用于模板渲染

  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {
      console.log(this.data.page_id);
      // if (this.data.params.shownum == 2) {
      // 	let arr_1 = [];
      // 	for (let i = 0; i < this.data.data.length; i += 2) {
      // 		let arr_2 = []
      // 		if (this.data.data[i]) {
      // 			arr_2.push(this.data.data[i])
      // 		}
      // 		if (this.data.data[i + 1]) {
      // 			arr_2.push(this.data.data[i + 1])
      // 		}
      // 		arr_1.push(arr_2);
      // 	}
      // 	this.setData({
      // 		data_2: arr_1
      // 	})
      // 	console.log(arr_1,this.data.data)
      // }
    },
    moved() {},
    detached() {},
  },

  // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
  attached() {

  }, // 此处attached的声明会被lifetimes字段中的声明覆盖
  ready() {

  },

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show() {},
    hide() {},
    resize() {},
  },

  methods: {
    gotoList() {
      wx.setStorageSync('headline', this.data.data);
      wx.navigateTo({
        url: '/packageA/member/article/ArticleList/ArticleList'
      });
    }
  },

});
